OrderCsvImport uses OrderDeferred methods for orders batch processing.
POST /accounts/{accountId}/shops/{shopId}/orderCsvImport

Upload csv file for batch processing.

Available Since
1.4.86
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
shopId required path   int the unique identifier of the shop
charset query UTF-8   csv file charset encoding
ignoreFirstLine query false   set TRUE if the CSV file contains header
quote query " char the CSV quote character used to wrap field values
separator query ; char the CSV field delimiter character
Request Body
Media Type Data Type Description
multipart/form-data (custom) the multipart form data containing the CSV file to upload
Response Body
Media Type Data Type Description
application/json OrderCsvImport
application/xml OrderCsvImport
Response (XML)
<productionOrderCsvImport>
  <id>...</id>
  <fileName>orders.csv</fileName>
  <createdDate>2020-10-22T18:02:07+02:00</createdDate>
  <processedDate>2020-10-22T18:02:07+02:00</processedDate>
  <processed>...</processed>
  <error>...</error>
  <errorMessage>...</errorMessage>
</productionOrderCsvImport>
Response (JSON)
{
  "productionOrderCsvImport" : {
    "id" : 12345,
    "fileName" : "orders.csv",
    "createdDate" : 12345,
    "processedDate" : 12345,
    "processed" : true,
    "error" : true,
    "errorMessage" : "..."
  }
}
GET /accounts/{accountId}/shops/{shopId}/orderCsvImport

Get a list of uploaded csv import files.

Available Since
1.4.86
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
shopId required path   int the unique identifier of the shop
filterId query   optional saved Filter.ProductionOrderCsvImport ID; empty string for all
page query 0 int zero-based page index
size query 10 int number of items per page
Response Body
Media Type Data Type Description
application/json PagedData
application/xml PagedData
Response (XML)
<pagedData>
  <records>...</records>
  <totalElements>...</totalElements>
</pagedData>
Response (JSON)
{
  "pagedData" : {
    "records" : [ { }, { } ],
    "totalElements" : 12345
  }
}
GET /accounts/{accountId}/shops/{shopId}/orderCsvImport/{id}

Get a single csv import file by its id.

Available Since
1.4.86
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
id required path   int the unique identifier of the csv import file
shopId required path   int the unique identifier of the shop
Response Body
Media Type Data Type Description
application/json OrderCsvImport
application/xml OrderCsvImport
Response (XML)
<productionOrderCsvImport>
  <id>...</id>
  <fileName>orders.csv</fileName>
  <createdDate>2020-10-22T18:02:07+02:00</createdDate>
  <processedDate>2020-10-22T18:02:07+02:00</processedDate>
  <processed>...</processed>
  <error>...</error>
  <errorMessage>...</errorMessage>
</productionOrderCsvImport>
Response (JSON)
{
  "productionOrderCsvImport" : {
    "id" : 12345,
    "fileName" : "orders.csv",
    "createdDate" : 12345,
    "processedDate" : 12345,
    "processed" : true,
    "error" : true,
    "errorMessage" : "..."
  }
}
GET /accounts/{accountId}/shops/{shopId}/orderCsvImport/{id}/lines

Get a list of uploaded csv lines.

Available Since
1.4.86
Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
id required path   int the unique identifier of the csv import file
shopId required path   int the unique identifier of the shop
page query 0 int zero-based page index
size query 10 int number of items per page
Response Body
Media Type Data Type Description
application/json PagedData
application/xml PagedData
Response (XML)
<pagedData>
  <records>...</records>
  <totalElements>...</totalElements>
</pagedData>
Response (JSON)
{
  "pagedData" : {
    "records" : [ { }, { } ],
    "totalElements" : 12345
  }
}